#include "stdafx.h"
#include "Layer4Heuristic.h"

Layer4Heuristic::Layer4Heuristic(Layer4StrategicRecognition& layer4StrategicRecognition, Layer3Tactical& layer3Tactical)
  : Layer4Strategic(layer4StrategicRecognition, layer3Tactical)
  , m_updateArmyAndTechs(this)
{
}

void Layer4Heuristic::onStart()
{
  Layer4Strategic::onStart();

  m_updateArmyAndTechs.start();
}

void Layer4Heuristic::onFrame()
{
  Layer4Strategic::onFrame();
}